Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 597823 - SELinux is preventing /usr/lib64/nagios/plugins/check_ping "sigkill" access .
SELinux is preventing /usr/lib64/nagios/plugins/check_ping "sigkill" access ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:477176f9cef...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-30 12:44 EDT by Steve Traylen
Modified: 2010-07-08 20:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-08 20:24:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Traylen 2010-05-30 12:44:45 EDT
Summary:

SELinux is preventing /usr/lib64/nagios/plugins/check_ping "sigkill" access .

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by check_ping. It is not expected that this
access is required by check_ping and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:nagios_services_plugin_t:s0
Target Context                system_u:system_r:ping_t:s0
Target Objects                None [ process ]
Source                        check_ping
Source Path                   /usr/lib64/nagios/plugins/check_ping
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           nagios-plugins-ping-1.4.14-3.fc12.1
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-114.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.32.12-115.fc12.x86_64 #1 SMP
                              Fri Apr 30 19:46:25 UTC 2010 x86_64 x86_64
Alert Count                   1
First Seen                    Tue 25 May 2010 08:49:06 AM CEST
Last Seen                     Tue 25 May 2010 08:49:06 AM CEST
Local ID                      bdcec7a4-a86a-4cde-9c2e-90b91ed00168
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1274770146.134:46332): avc:  denied  { sigkill } for  pid=4730 comm="check_ping" scontext=system_u:system_r:nagios_services_plugin_t:s0 tcontext=system_u:system_r:ping_t:s0 tclass=process

node=(removed) type=SYSCALL msg=audit(1274770146.134:46332): arch=c000003e syscall=62 success=yes exit=0 a0=127b a1=9 a2=aeb4f0 a3=31 items=0 ppid=4729 pid=4730 auid=4294967295 uid=490 gid=472 euid=490 suid=490 fsuid=490 egid=472 sgid=472 fsgid=472 tty=(none) ses=4294967295 comm="check_ping" exe="/usr/lib64/nagios/plugins/check_ping" subj=system_u:system_r:nagios_services_plugin_t:s0 key=(null)



Hash String generated from  catchall,check_ping,nagios_services_plugin_t,ping_t,process,sigkill
audit2allow suggests:

#============= nagios_services_plugin_t ==============
allow nagios_services_plugin_t ping_t:process sigkill;
Comment 1 Miroslav Grepl 2010-05-31 05:54:23 EDT
Fixed in selinux-policy-3.7.19-22.fc13.

Note You need to log in before you can comment on or make changes to this bug.